Retrieve an order
curl --request GET \
--url https://api.example.com/exchange/orders/{id}import requests
url = "https://api.example.com/exchange/orders/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/exchange/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accepted_at": "2023-12-23T17:55:42.919523",
"average_fill_price": 80000,
"business_id": "dd625bec-b1a3-466e-867e-c91ae0b6e71e",
"correlation_id": "7da742ea-a1bc-11ee-b907-560f156a658b",
"created_at": "2023-12-23T17:55:42.911",
"expires_at": null,
"id": "7da75a46-a1bc-11ee-9a32-560f156a658b",
"min_qty": null,
"min_quote_qty": null,
"percent_filled": 10000,
"price": 80000,
"price_type": "market",
"qty": 1,
"quote_qty": null,
"status": "filled",
"symbol": "USD-NGN",
"time_in_force": "gtc",
"trades": [
{
"buy_order_id": "7da75a46-a1bc-11ee-9a32-560f156a658b",
"commission": 0,
"correlation_id": "7da742ea-a1bc-11ee-b907-560f156a658b",
"created_at": "2023-12-23T17:55:42.921",
"id": "7da8e726-a1bc-11ee-80cf-560f156a658b",
"price": 80000,
"sell_order_id": "7d97c0b8-a1bc-11ee-b240-560f156a658b",
"size": 1,
"symbol": "USD-NGN"
}
],
"type": "buy",
"updated_at": "2023-12-23T17:55:42.911",
"user_id": "b101f718-d133-450c-a572-c281c7341803"
}
}"<string>"exchange
Retrieve an order
GET
/
exchange
/
orders
/
{id}
Retrieve an order
Path Parameters
Order ID
Response
Order
Response schema for a single order
An order
Show child attributes
Show child attributes
Example:
{
"accepted_at": "2023-12-23T17:55:42.919523",
"average_fill_price": 80000,
"business_id": "dd625bec-b1a3-466e-867e-c91ae0b6e71e",
"correlation_id": "7da742ea-a1bc-11ee-b907-560f156a658b",
"created_at": "2023-12-23T17:55:42.911",
"expires_at": null,
"id": "7da75a46-a1bc-11ee-9a32-560f156a658b",
"min_qty": null,
"min_quote_qty": null,
"percent_filled": 10000,
"price": 80000,
"price_type": "market",
"qty": 1,
"quote_qty": null,
"status": "filled",
"symbol": "USD-NGN",
"time_in_force": "gtc",
"trades": [
{
"buy_order_id": "7da75a46-a1bc-11ee-9a32-560f156a658b",
"commission": 0,
"correlation_id": "7da742ea-a1bc-11ee-b907-560f156a658b",
"created_at": "2023-12-23T17:55:42.921",
"id": "7da8e726-a1bc-11ee-80cf-560f156a658b",
"price": 80000,
"sell_order_id": "7d97c0b8-a1bc-11ee-b240-560f156a658b",
"size": 1,
"symbol": "USD-NGN"
}
],
"type": "buy",
"updated_at": "2023-12-23T17:55:42.911",
"user_id": "b101f718-d133-450c-a572-c281c7341803"
}
⌘I